InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::SerialSettings Struct Reference

Serial Settings. More...

`#include <SerialSettings.h>`

## Public Member Functions
| SerialSettings ()
| SerialSettings (std::wstring const &portname, const unsigned baudrate, const FlowControl flow_control=FLOW_CONTROL_HARDWARE, std::wstring const &devicename=std::wstring(), const ProtocolVersion forcedProtocolVersion=PROTOCOL_NONE)
| SerialSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | portname
| The unique port identifier of the connection.
unsigned | baudrate
| The baudrate to use. Because serial-over-usb is used, this will generally not matter.
FlowControl | flowControl
| Type of flow control to use. Because serial-over-usb is used, this will generally not matter.
std::wstring | devicename
| An optional device name to simplify identifying a device.
ProtocolVersion | forcedProtocolVersion
| USe this protocol version instead of the version indicated by the device.

## Detailed Description

Serial Settings.

Class containing settings for serial port connection.

## Constructor & Destructor Documentation

## ◆ SerialSettings() [1/3]

inertia::SerialSettings::SerialSettings | ( |  | ) |

Default constructor. Without a port SerialSettings will be invalid.

## ◆ SerialSettings() [2/3]

inertia::SerialSettings::SerialSettings | ( | std::wstring const & | portname,
|  | const unsigned | baudrate,
|  | const FlowControl | flow_control = FLOW_CONTROL_HARDWARE,
|  | std::wstring const & | devicename = std::wstring(),
|  | const ProtocolVersion | forcedProtocolVersion = PROTOCOL_NONE )

Constructor with individual arguments.

Parameters

  portname | the portname
  baudrate | the baudrate
  flow_control | the flow_control
  devicename | the devicename
  forcedProtocolVersion | the forcedProtocolVersion

## ◆ SerialSettings() [3/3]

inertia::SerialSettings::SerialSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates SerialSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::SerialSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for SerialSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::SerialSettings::ToString | ( |  | ) | const

Get a string representation of this SerialSettings. The string is compatible with GetOptionDescription() and SerialSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- SerialSettings.h